# 生产环境配置

# 数据源配置
spring:
  datasource:
    url: jdbc:mysql://1Panel-mysql-Bqdt:3306/modules?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=GMT%2B8
    username: modules
    password: 8YdLnk7KsPAyDXGA
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource

  # redis
  redis:
    database: 0
    host: 1Panel-redis-Q1LE
    port: 6379
    password: redis_WSDb88

# 日志配置
logging:
  file:
    name: websoft-modules.log
  level:
    root: WARN
    com.gxwebsoft: ERROR
    com.baomidou.mybatisplus: ERROR

socketio:
  host: 0.0.0.0 #IP地址

# MQTT配置
mqtt:
  enabled: false  # 添加开关来禁用MQTT服务
  host: tcp://1.14.159.185:1883
  username: swdev
  password: Sw20250523
  client-id-prefix: hjm_car_
  topic: /SW_GPS/#
  qos: 2
  connection-timeout: 10
  keep-alive-interval: 20
  auto-reconnect: true

# 框架配置
config:
  # 生产环境接口
  server-url: https://server.websoft.top/api
  upload-path: /www/wwwroot/file.ws/

  # 阿里云OSS云存储
  endpoint: https://oss-cn-shenzhen.aliyuncs.com
  accessKeyId: LTAI4GKGZ9Z2Z8JZ77c3GNZP
  accessKeySecret: BiDkpS7UXj72HWwDWaFZxiXjNFBNCM
  bucketName: oss-gxwebsoft
  bucketDomain: https://oss.wsdns.cn
  aliyunDomain: https://oss-gxwebsoft.oss-cn-shenzhen.aliyuncs.com

# 生产环境证书配置
certificate:
  load-mode: VOLUME  # 生产环境从Docker挂载卷加载
  cert-root-path: /www/wwwroot/file.ws

# 支付配置缓存
payment:
  cache:
    # 支付配置缓存键前缀，生产环境使用 Payment:1* 格式
    key-prefix: "Payment:1"
    # 缓存过期时间（小时）
    expire-hours: 24
